package top.azimkin.militaryarmor;

import net.minecraftforge.api.distmarker.Dist;
import net.minecraftforge.api.distmarker.OnlyIn;
import software.bernie.geckolib.constant.DefaultAnimations;
import software.bernie.geckolib.core.animation.AnimationController;
import software.bernie.geckolib.core.animation.AnimationState;
import software.bernie.geckolib.core.object.PlayState;

@OnlyIn(Dist.CLIENT)
class CommonMilitaryAnimationController extends AnimationController<CommonMilitaryArmorItem> {
    public CommonMilitaryAnimationController(CommonMilitaryArmorItem animatable) {
        super(animatable, CommonMilitaryAnimationController::handler);
    }

    protected static PlayState handler(AnimationState<CommonMilitaryArmorItem> state) {
        state.setAnimation(DefaultAnimations.IDLE);
        return PlayState.CONTINUE;
    }
}
